package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

import org.openmuc.jmbus.DataRecord;

public class HottisFourChannelThermometer extends ADataParser {
	public HottisFourChannelThermometer(String name) {
		super(name);
	}
	
	public List<ADataObject> parse(LocalDateTime timestamp, List<DataRecord> dataRecords) {
		ArrayList<ADataObject> list = new ArrayList<ADataObject>();
		
		TemperatureDataObject tdo = new TemperatureDataObject(timestamp, "Hedge", dataRecords.get(5).getScaledDataValue());
		list.add(tdo);
		
		tdo = new TemperatureDataObject(timestamp, "House", dataRecords.get(7).getScaledDataValue());
		list.add(tdo);
		
		return list;
	}
}
